<?php
/*------------------------------------------------------------------------
# "Hot Rockin" Joomla template - April, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<?php	// module states
		$showpanel[1] = $this->countModules('panel1');
		$showpanel[2] = $this->countModules('panel2');
		$showpanel[3] = $this->countModules('panel3');
		$showpanel[4] = $this->countModules('panel4');
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showtoolbar = $this->countModules('toolbar');
		$showinset = $this->countModules('inset');
		$showbanner = $this->countModules('banner');
		
		$panelmodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showpanel[$loop]) { $panelmodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
        $copyright = $this->params->get("copyright", "Your Company");
        $columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "285"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "285");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		$lightboxLoad = $this->params->get("lightboxLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
			
		if($templateStyle) {
			
			require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$bodyText = $this->params->get("bodyText", "#c9c9c9");
		$linkColor = $this->params->get("linkColor", "#444444");
		$bodyBg = $this->params->get("bodyBg", "#dfdfde");
		$headerStyle = $this->params->get("headerStyle", "eagles");
		$contentWrap = $this->params->get("contentWrap", "#ffffff");
		$mainColor = $this->params->get("mainColor", "#0ac514");
		$topMenuBg = $this->params->get("topMenuBg", "#000000");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuButton = $this->params->get("topMenuButton", "#222222");
		$topMenuHoverButton = $this->params->get("topMenuHoverButton", "#ffffff");
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#222222");
		$mainMenuButton = $this->params->get("mainMenuButton", "#1c2024");
		$mainMenuText = $this->params->get("mainMenuText", "#ffffff");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#cccccc");
		$mainMenuButtonActive = $this->params->get("mainMenuButtonActive", "#e4e37c");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#000000");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#e4e37c");
		$columnBg = $this->params->get("columnBg", "#000000");
		$columnFirstWord = $this->params->get("columnFirstWord", "#e4e37c");
		$columnHeading = $this->params->get("columnHeading", "#ffffff");
		$columnText = $this->params->get("columnText", "#ffffff");
		$moduleShadow = $this->params->get("moduleShadow", "1");
		$panelBg = $this->params->get("panelBg", "#000000");
		$panelText = $this->params->get("panelText", "#dddddd");
		$bottomModulesBg = $this->params->get("bottomModulesBg", "#0ac514");
		$bottomModulesText = $this->params->get("bottomModulesText", "#ffffff");
		$bottomModulesHeadings = $this->params->get("bottomModulesHeadings", "#ffffff");
		$footerText = $this->params->get("footerText", "#000000");
		
		}
	
?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>

<?php
/* The following line loads the MooTools JavaScript Library */
JHtml::_('behavior.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if ($panelmodules) { ?>
<!-- top panel -->
<script src="<?php echo $template_path ?>/js/slidebox.js" type="text/javascript"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery("#topPanel").slideBox({width: "100%", height: "250px", position: "top"});
});
</script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

<?php if($lightboxLoad) { ?><script type="text/javascript" src="<?php echo $template_path ?>/js/jquery.lightbox-0.5.min.js"></script>
<!-- lightbox -->
<link rel="stylesheet" href="<?php echo $template_path ?>/css/jquery.lightbox-0.5.css" type="text/css" />
<script type="text/javascript">
	jQuery(function() {
		jQuery('#gallery a').lightBox();
	});
</script>
<?php } ?>

<!-- equal heights -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/equal_heights.js"></script>
<script type="text/javascript">
window.onload = function() {
	BoxHeights.equalise(<?php if($showuser[5]) { ?>'c1',<?php } if($showuser[6]) { ?>'c2',<?php } if($showuser[7]) { ?>'c3',<?php } if($showuser[8]) { ?>'c4'<?php } ?>);
}
</script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<!--[if IE 6]>
<script type="text/javascript" src="<?php echo $template_path ?>/js/pngfix.js"></script>
<script>
  POS_BrowserPNG.fix('img,.header,.content_wrap,.sectiontableentry2 td,ul.checklist li,ul.arrow li,ul.star li,.slide-button,.carousel-control,.rockin_noise,.rockin_gradient,.rockin_bg_inner,.rockin_menu_bg,.rockin_ribbon,.rockin_ribbon_inner,.bg_bottom,.bg_bottom_inner,.upper,.footer_back,#c1,#c2, #c3,.module_top_line,.module_top_line2');
</script>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/ie6only.css" type="text/css" />
<![endif]-->

<script type="text/javascript" src="<?php echo $template_path ?>/js/responsive-nav.min.js"></script>

</head>
<body style="background:<?php echo $bodyBg; ?>">
<?php if ($panelmodules) { ?>
<div id="topPanel">
     <div class="topPanelModules">
     	<?php if($showpanel[1]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel1" style="hot" /></div>
        <?php } if($showpanel[2]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel2" style="hot" /></div>
        <?php } if($showpanel[3]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel3" style="hot" /></div>
        <?php } if($showpanel[4]) { ?>
        <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel4" style="hot" /></div>
        <?php } ?>
    </div>
</div>
<div class="topPanelLine"></div>
<?php } ?>
<div class="rockin_color">
    <div class="rockin_noise">
        <div class="rockin_gradient">
            <div class="rockin_bg">
                <div class="rockin_ribbon">
                    <div class="rockin_menu_bg<?php if (!$showadvert[1] && !$showuser1) { echo "_inner"; } ?>">
                        <div class="rockin_gradient">
                            <div class="wrapper">
                                <?php if ($showuser3) { ?>
                                <div id="topmenu">
                                    <div id="topmenu_pad">
                                        <jdoc:include type="modules" name="user3" style="xhtml" />
                                    </div>
                                </div>
                                <?php } ?>
                                <?php if ($showuser2) { ?>
                                <div id="topmenu2">
                                    <div id="topmenu2_pad">
                                        <jdoc:include type="modules" name="user2" />
                                    </div>
                                </div>
                                <?php } ?>
                                <div class="clr"></div>
                                <?php if ($showadvert[1] || $showuser1) { ?>
                                    <div class="advert_pad">
                                        <?php if ($showuser1) { ?>
                                        <div class="logo">
                                            <jdoc:include type="modules" name="user1" />
                                        </div>
                                        <?php } ?>
                                        <?php if ($showadvert[1]) { ?>
                                        <div class="upper"><div class="upper_pad">
                                            <jdoc:include type="modules" name="advert1" style="none" />
                                            <div class="clr"></div>
                                        </div></div>
                                        <?php } ?>
                                        <div class="clr"></div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="bg_bottom<?php if (!$showadvert[1] && !$showuser1) { echo "_inner"; } ?>">
    <?php if (!$showadvert[1] && !$showuser1) { ?><div class="ribbon_bg"><div class="rockin_ribbon<?php if (!$showadvert[1] && !$showuser1) { echo "_inner"; } ?>"><div class="rockin_noise"><div class="rockin_gradient"><?php } ?>
        <div class="wrapper">
            <?php if ($showadvert[2]) { ?>
            <div class="advert2">
                <jdoc:include type="modules" name="advert2" style="none" />
            </div>
            <?php } ?>
            <?php if (@$_REQUEST['view'] != 'frontpage' && $showbreadcrumbs) {  ?>
            <div class="path">
                <div class="path_pad">
                    <jdoc:include type="modules" name="breadcrumbs" />
                    <div class="clr"></div>
                </div>
            </div>
            <?php } ?>
            <?php if ($showadvert[3]) { ?>
            <div class="advert3">
                    <jdoc:include type="modules" name="advert3" />
                    <div class="clr"></div>
            </div>
            <?php }elseif (@$_REQUEST['view'] == 'frontpage'){ ?>
            <div class="frontpage_pad"></div>
            <?php } ?>
            <?php if (@$_REQUEST['view'] != 'frontpage' && $showbanner) { ?>
            <div class="banner">
                <div class="banner_pad">
                    <jdoc:include type="modules" name="banner" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    <?php if (!$showadvert[1] && !$showuser1) { ?></div></div></div></div><?php } ?>
    <div class="wrapper">
        <div class="main_area<?php if (!$showadvert[1] && !$showuser1) { echo "_inner"; } ?>">
            <?php if ($showleft) { ?>
            <div id="column_left">
                <jdoc:include type="modules" name="left" style="hotshadow" />
            </div>
            <?php } ?>
            <div id="content_wrap">
                <?php if ($showinset) { ?>
                <div class="content_module">
                    <jdoc:include type="modules" name="inset" style="hot" />
                </div>
                <?php } ?>
                <div class="content_pad">
                    <jdoc:include type="message" />
                    <jdoc:include type="component" />
                </div>
                <div class="clr"></div>
                <?php if ($showtoolbar) { ?>
                <div class="content_module2">
                    <jdoc:include type="modules" name="toolbar" style="hot" />
                </div>
                <?php } ?>
            </div>
            <?php if ($showright) { ?>
            <div id="column_right">
                <jdoc:include type="modules" name="right" style="hotshadow" />
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
</div>
<?php if ($bottommodules) { ?>
<div class="rockin_color_bottom">
    <div class="rockin_noise">
        <div class="rockin_gradient">
            <div class="bottom">
                <?php if($showuser[5]) { ?>
                <div class="modulerow<?php echo $bottommodules; ?>"><div id="c1"><jdoc:include type="modules" name="user5" style="hot" /><div class="clr"></div></div></div>
                <?php } if($showuser[6]) { ?>
                <div class="modulerow<?php echo $bottommodules; ?>"><div id="c2"><jdoc:include type="modules" name="user6" style="hot" /><div class="clr"></div></div></div>
                <?php } if($showuser[7]) { ?>
                <div class="modulerow<?php echo $bottommodules; ?>"><div id="c3"><jdoc:include type="modules" name="user7" style="hot" /><div class="clr"></div></div></div>
                <?php } if($showuser[8]) { ?>
                <div class="modulerow<?php echo $bottommodules; ?>"><div id="c4"><jdoc:include type="modules" name="user8" style="hot" /><div class="clr"></div></div></div>
                <?php } ?>
                <div class="clr"></div>
            </div>
        </div>
    </div>
</div>
<?php } ?>
<div class="rockin_color_bottom">
    <div class="rockin_noise">
        <div class="rockin_gradient">
            <div class="footer_back">
                <div class="footer_wrap">
                    <div class="footer">
                        <div class="footer_pad">
                            <jdoc:include type="modules" name="footer" />
                            <?php if($fontResizeLoad) { ?>
                            <div id="font_resize">
                                <a href="#" class="decreaseFont" title="Font Decrease">
                                    <img src="<?php echo $template_path ?>/images/font_minus.png" alt="font decrease" />
                                </a>
                                <a href="#" class="resetFont" title="Font Reset">
                                    <img src="<?php echo $template_path ?>/images/font_reset.png" alt="font reset" />
                                </a>
                                <a href="#" class="increaseFont" title="Font Increase">
                                    <img src="<?php echo $template_path ?>/images/font_plus.png" alt="font increase" />
                                </a>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="footer2">
                        <div class="footer_pad">
                            <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
                            <jdoc:include type="modules" name="bottom" style="none" />
                        </div>
                    </div>
                </div>
                <div class="clr"></div>
            </div>
        </div>
    </div>
</div>
<script>
    var screenWidth = jQuery(window).width();
    if( screenWidth < 1050 ) {
        var navigation = responsiveNav(".moduletable_menu");
    }
</script>
<jdoc:include type="modules" name="debug" style="none" />    
</body>
</html>