body  {
	color:<?php echo $bodyText; ?>;
}

<?php if ($headerStyle) { ?>

.rockin_bg {
	background:url(<?php echo $this->baseurl ?>/templates/hot_rockin/images/bg_transparent_<?php echo $headerStyle; ?>.png) no-repeat bottom center;
}

<?php } ?>

a:link,a:visited  {
	color:<?php echo $linkColor; ?>;
}

#topPanel {
	display:none;
}

.rockin_color, .ribbon_bg {
	background:<?php echo $mainColor; ?>;
}

.rockin_color_bottom {
	background:<?php echo $bottomModulesBg; ?>;
}

.rockin_menu_bg_inner {
	background:<?php echo $mainColor; ?> url(<?php echo $this->baseurl ?>/templates/hot_rockin//images/bg_noise2.png);
}


.module_top_line,.module_top_line2 {
	background:<?php echo $mainColor; ?> url(<?php echo $this->baseurl ?>/templates/hot_rockin/images/module_top_line.png) repeat-y center !important;
}

#topmenu2 ul.menu li a {
	color:<?php echo $mainColor; ?>;
}

.wrapper,.footer_wrap,.main_area {
	width:<?php echo $templateWidth; ?>px;
}

<?php
$bottomWidth = $templateWidth + 16;
?>

.bottom {
	width:<?php echo $bottomWidth; ?>px;
}

<?php
$pathWidth = $templateWidth - 230 - 468;
?>

.path {
	width:<?php echo $pathWidth; ?>px;
}

#content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

#column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

#column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

h1 {
	color:<?php echo $componentHeadingText; ?>;
}

h2, h4, .performer,.performer a:link,.performer a:visited, .content_module2 div.moduletable h3, .content_module2 div.moduletable h3 span {
	color:<?php echo $headingText; ?>;
}

.button, button {
	background:<?php echo $headingText; ?>;
}

h2 a:hover {
	color:<?php echo $headingHoverText; ?>;
}

#column_right div.moduletable div.hotshadow div.hotshadow div.hotshadow div.hotshadow,
#column_left div.moduletable div.hotshadow div.hotshadow div.hotshadow div.hotshadow {
	background:<?php echo $columnBg; ?>;
    color:<?php echo $columnText; ?>;
}

div.moduletable h3 span, div.moduletable_menu h3 span, div.moduletable_text h3 span {
	color:<?php echo $columnFirstWord; ?>;
}

div.moduletable h3, div.moduletable-video h3, div.moduletable-news h3 {
	color:<?php echo $columnHeading; ?>;
}

#topmenu {
	background:<?php echo $topMenuBg; ?>;
}

#nav li:hover a {
	background:<?php echo $topMenuHoverButton; ?>;
    color:<?php echo $topMenuHoverText; ?>;
}

#nav li a {
	background:<?php echo $topMenuButton; ?>;
    color:<?php echo $topMenuText; ?>;
}

.content {
	background-color:<?php echo $panelBg; ?>;
	color:<?php echo $panelText; ?>;
}

.column_right ul.menu li, .column_left ul.menu li {
	background:<?php echo $mainMenuButton; ?>;
}

#column_right ul.menu li a:link, #column_right ul.menu li a:visited, #column_left ul.menu li a:link, #column_left ul.menu li a:visited {
	color:<?php echo $mainMenuText; ?>;
}

#column_right ul.menu li a:hover, #column_left ul.menu li a:hover {
	color:<?php echo $mainMenuHoverText; ?>;
}

#column_right li.active a, #column_left li.active a:link, #column_left li.active a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
    background:<?php echo $mainMenuButtonActive; ?>;
}

#content_wrap, div.pane-slider {
	background:<?php echo $contentWrap; ?>;
}

.bottom p, .bottom div, .bottom td, .bottom a {
	color:<?php echo $bottomModulesText; ?>;
}

.footer_wrap div, .footer_wrap td, .footer_wrap a {
	color:<?php echo $footerText; ?>;
}

.bottom div.moduletable h3, .bottom div.moduletable h3 span {
	color:<?php echo $bottomModulesHeadings; ?>;
}

<?php if ($moduleShadow) { ?>

div.moduletable div.hotshadow,
div.moduletable-video div.hotshadow {
	background: #d5d5d5;
}

div.moduletable div.hotshadow div.hotshadow,
div.moduletable-video div.hotshadow div.hotshadow {
	background: #c1c1c1;
}

div.moduletable div.hotshadow div.hotshadow div.hotshadow,
div.moduletable-video div.hotshadow div.hotshadow div.hotshadow {
	background: #a9a9a9;
}

div.moduletable div.hotshadow div.hotshadow div.hotshadow div.hotshadow {
	border: 1px solid #848587;
}

div.moduletable-video div.hotshadow div.hotshadow div.hotshadow div.hotshadow {
	background: #898989;
	border: 1px solid #848587;
}

<?php } ?>